# gdcm::Trace Class Reference

Trace. More...

`#include <gdcmTrace.h>`

List of all members.

## Public Member Functions

| Trace ()
| ~Trace ()

## Static Public Member Functions

static void | DebugOff ()
static void | DebugOn ()
static void | ErrorOff ()
static void | ErrorOn ()
static std::ofstream & | GetDebugFile ()
static bool | GetDebugFlag ()
static bool | GetDebugToFile ()
static bool | GetErrorFlag ()
static bool | GetWarningFlag ()
static void | SetDebug (bool debug)
static void | SetError (bool debug)
static void | SetWarning (bool debug)
static void | WarningOff ()
static void | WarningOn ()

## Detailed Description

Trace.

Debug / Warning and Error are encapsulated in this class

## Constructor & Destructor Documentation

gdcm::Trace::Trace | ( |  | ) |

gdcm::Trace::~Trace | ( |  | ) |

## Member Function Documentation

static void gdcm::Trace::DebugOff | ( |  | ) | `[static]`

Examples:
  TestReader.cxx.

static void gdcm::Trace::DebugOn | ( |  | ) | `[static]`

static void gdcm::Trace::ErrorOff | ( |  | ) | `[static]`

static void gdcm::Trace::ErrorOn | ( |  | ) | `[static]`

static std::ofstream& gdcm::Trace::GetDebugFile | ( |  | ) | `[static]`

static bool gdcm::Trace::GetDebugFlag | ( |  | ) | `[static]`

static bool gdcm::Trace::GetDebugToFile | ( |  | ) | `[static]`

static bool gdcm::Trace::GetErrorFlag | ( |  | ) | `[static]`

static bool gdcm::Trace::GetWarningFlag | ( |  | ) | `[static]`

static void gdcm::Trace::SetDebug | ( | bool | debug | ) | `[static]`

Examples:
  DumpToSQLITE3.cxx.

static void gdcm::Trace::SetError | ( | bool | debug | ) | `[static]`

static void gdcm::Trace::SetWarning | ( | bool | debug | ) | `[static]`

Examples:
  DumpToSQLITE3.cxx.

static void gdcm::Trace::WarningOff | ( |  | ) | `[static]`

Examples:
  TestReader.cxx.

static void gdcm::Trace::WarningOn | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- gdcmTrace.h